commit:     6a99388a3191602e01868193b3778cdd9419b4fe
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 22 07:28:10 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Feb 22 07:28:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a99388a

dev-ruby/activestorage: add 5.2.6.2

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/activestorage/Manifest                    |  1 +
 .../activestorage/activestorage-5.2.6.2.ebuild     | 61 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-ruby/activestorage/Manifest b/dev-ruby/activestorage/Manifest
index 4c524970154a..3b3c2224c26e 100644
--- a/dev-ruby/activestorage/Manifest
+++ b/dev-ruby/activestorage/Manifest
@@ -1,3 +1,4 @@
+DIST rails-5.2.6.2.tgz 8840302 BLAKE2B 
54c62924252bdbc7df4b07309dc1f96973660db71c68a9b25f8f9e44fb901982cf38242c613a349220ca043ca82984ee740052fc51521a6e1f088d8b77d4f53b
 SHA512 
f639508300258c210253be875066842553487b0ddee2b56c625b7ed99ae5b9d59d62a69181c0910ebc85786d0a5fc1001385f3700fc198d192eccbe753d2e48c
 DIST rails-5.2.6.tgz 8841270 BLAKE2B 
8e813f376446ef249aa3b48934d3cb5ae125c09c54353cc93557c3bee4f23e47ae7ceffab75d5cbfb691daed85149d9054337b468a0010bc5c7ebb879502396b
 SHA512 
465e017591a9962a2e0dec2eac9669d5f507d0904e9eec50fbc8848d804ba5f1eb3220fd5acc949845f048f59cfc5e43f099707650edf301d6595e70e33888c7
 DIST rails-6.0.4.1.tgz 18595307 BLAKE2B 
9a950a45cd04c5fe0cbe57fd014a6997074dcbe8f95fcbb2f5d3b6372867ef8bb0931b909ca8eba623787419f5f45504cdcd477729ba3b3a052f5003229121cd
 SHA512 
322cfa6d0ed62f0660ce2f43003b2a745297f3b82dca486d7e4a9821441ad4ec92c202556515645d141fba31c998e17aa00bbe3d8c2106718e6839f94e88c975
 DIST rails-6.0.4.3.tgz 18594602 BLAKE2B 
99ee38f02ffece7972b34dc4bf8de6aece131fbdd1ac92c01272296e87b033d0a877a4fc724d3acece0442025ff9906a3e735ae75a8313135f2ffc55be988b38
 SHA512 
ae71145cc6e2a532271f6fe063347b261a7c6b1153f4978da5fd539b51b356baa555e731b759d9b49c342b2623b30ff9962396346df66d7e97aeca1fa806b333

diff --git a/dev-ruby/activestorage/activestorage-5.2.6.2.ebuild 
b/dev-ruby/activestorage/activestorage-5.2.6.2.ebuild
new file mode 100644
index 000000000000..443f3b9ac6a7
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-5.2.6.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf ) "
+
+ruby_add_rdepend "
+       ~dev-ruby/actionpack-${PV}:*
+       ~dev-ruby/activerecord-${PV}:*
+       dev-ruby/marcel:1.0
+"
+
+ruby_add_bdepend "
+       test? (
+               ~dev-ruby/railties-${PV}
+               dev-ruby/test-unit:2
+               dev-ruby/mini_magick
+               dev-ruby/mocha
+               dev-ruby/rake
+               dev-ruby/sqlite3
+       )"
+
+all_ruby_prepare() {
+          # Remove items from the common Gemfile that we don't need for this
+               # test run. This also requires handling some gemspecs.
+               sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|rubocop\|capybara\|rack-cache\|dalli\|listen\|connection_pool\|puma\|mysql2\)/
 s:^:#:" \
+                       -e '/dalli/ s/2.7.7/2.7.9/' \
+                       -e '/:job/,/end/ s:^:#:' \
+                       -e '/:test/,/^end/ s:^:#:' \
+                       -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+               rm ../Gemfile.lock || die
+
+               # Fix spec broken with ruby24
+               sed -i -e '35ibegin' -e '55iend' 
test/service/s3_service_test.rb || die
+}

Reply via email to